Page MenuHomePhabricator

Bug: Gather popup doesn't show all the content.
Closed, ResolvedPublic

Description

I tried out Gather for the first time, and this is what the dialog looked like after I added the article to a collection.

Specifically:

  • View an article
  • Tap the star
  • Tap the input box for a new collection
  • The input box is no longer viewable.

Details

Related Gerrit Patches:
mediawiki/extensions/Gather : masterDesign: Improve spacing of content overlay on phones

Event Timeline

Ragesoss created this task.Apr 9 2015, 10:06 PM
Ragesoss raised the priority of this task from to Needs Triage.
Ragesoss updated the task description. (Show Details)
Ragesoss added a project: Readers-Web-Backlog.
Ragesoss added subscribers: Ragesoss, Aklapper.
Moushira set Security to None.
Moushira added a subscriber: Moushira.

Okay, so now I see that the little modal is scrollable, but not big enough to show very much of the Gather interface at once. When I scroll the Gather modal, it also scrolls the content underneath (that is, the article title, photo and wikidata description).


Happened to me as well. While adding an article to an existing collection, the pop up freezes all of a sudden and doesn't scroll

cc/ @MSyed @JKatzWMF The current spacing and desing of the modal produces this results, it is not very friendly on small screens.

I would suggest changing the current spacing (1em left/right, 4em top/bottom) to be percent based, so that the spacing gets smaller as the screen gets smaller.

I've tried with 1% l/r and 3% t/d this are some screenshots:

Small viewport: (imagine the keyboard below)

Full viewport:

@Jhernandez, I agree!! @MSyed, does this work for you?

@JKatzWMF @Jhernandez We can try it. It might still look weird on smaller screens. But lets try it.

Jdlrobson renamed this task from Gather popup doesn't show all the content. to Bug: Gather popup doesn't show all the content..Apr 10 2015, 11:55 PM
Jdlrobson moved this task from Needs triage to In sprint on the Gather board.

I'll try a few styles and screenshot on different devices and post it here in the next sprint.

Some media queries would probably help here based on ios screen size.

Change 205834 had a related patch set uploaded (by Jhernandez):
Design: Improve spacing of content overlay on phones

https://gerrit.wikimedia.org/r/205834

See ⬆️ patch for review. Improved spacing on phones, see screenshots:

Much better that before, but still there is too much whitespace on the modal. See T96837 for further improvements

@joakino see my follow up commit and instructions to this: https://gerrit.wikimedia.org/r/205962

Change 205834 merged by jenkins-bot:
Design: Improve spacing of content overlay on phones

https://gerrit.wikimedia.org/r/205834

Jdlrobson closed this task as Resolved.Apr 28 2015, 11:00 PM